/***************************************************************************
*   Copyright (C) 2004 by Kita Developers                                 *
*   ikemo@users.sourceforge.jp                                            *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/
#ifndef KITATHREADINDEX_H
#define KITATHREADINDEX_H

#define USE_INDEX

#include <qstring.h>

class KURL;

namespace Kita
{
    /**
    @author Hideki Ikemoto
    */
    class ThreadIndex
    {
    public:
        static QString getSubject( const KURL& datURL );
        static void setSubject( const KURL& datURL, const QString& str );

        static int getResNum( const KURL& datURL );
        static void setResNum( const KURL& datURL, int resNum );

        static int getViewPos( const KURL& datURL );
        static void setViewPos( const KURL& datURL, int viewPos );
    };
}

#endif
